View Issue Details

IDProjectCategoryView StatusLast Update
0004175SymmetricDSImprovementpublic2019-12-09 12:26
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.7Fixed in Version3.10.7 
Summary0004175: Node communication query for unsent batches not using index on Oracle
DescriptionWhen pushing to a large number of nodes, the node communication service will query for nodes that has unsent batches.

select distinct(node_id) from sym_outgoing_batch where status <> 'OK';

On Oracle, a not-equals will not use the index. Instead, we should query like this:

select distinct(node_id) from sym_outgoing_batch where status in ('ER','NE','QY','SE','LD','IG','RS');
Tagsdialect: oracle, performance

Relationships

related to 0003227 closedchenson When pushing to a large number of nodes on limited number of thread, only allocate nodes that have pending changes 
related to 0004186 closedelong Node communication query for unsent batches not using index on Oracle 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 78c58183

2019-12-02 14:07:43

admin

Details Diff
0004175: Node communication query for unsent batches not using index on
Oracle

0004175
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationServiceSqlMap.java Diff File

SymmetricDS: 3.10 2425afa7

2019-12-02 14:07:43

admin

Details Diff
0004175: Node communication query for unsent batches not using index on
Oracle

0004175
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationServiceSqlMap.java Diff File

SymmetricDS: 3.8 a2702cdc

2019-12-03 12:35:28

admin

Details Diff
0004175: Node communication query for unsent batches not using index on
Oracle

0004175
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File

Issue History

Date Modified Username Field Change
2019-12-02 13:51 elong New Issue
2019-12-02 13:51 elong Status new => assigned
2019-12-02 13:51 elong Assigned To => elong
2019-12-02 13:52 elong Relationship added related to 0003227
2019-12-02 13:52 elong Tag Attached: dialect: oracle
2019-12-02 13:52 elong Tag Attached: performance
2019-12-02 14:08 admin Changeset attached => SymmetricDS 3.8 78c58183
2019-12-03 13:00 admin Changeset attached => SymmetricDS 3.8 a2702cdc
2019-12-05 13:03 elong Status assigned => resolved
2019-12-05 13:03 elong Resolution open => fixed
2019-12-05 13:03 elong Product Version 3.8.30 => 3.10.0
2019-12-05 13:03 elong Fixed in Version => 3.10.7
2019-12-05 13:03 elong Target Version => 3.10.7
2019-12-05 13:03 elong Issue cloned: 0004186
2019-12-05 13:03 elong Relationship added related to 0004186
2019-12-05 14:00 admin Changeset attached => SymmetricDS 3.10 2425afa7
2019-12-09 12:26 admin Status resolved => closed